app/urls.py
from app.models import Purchase
from django.urls import path
from .views import CheckoutViewCart, crop, fertilizer,edit_profile, homeview, searchcrop, contact, purchase_one,addseed, season,dashboard, soil,about,query, training,seed,purchase,add_to_cart
from .views import payment,LandingPage, successview, cancleview,CheckoutView
from .views import crop, fertilizer, homeview, searchcrop,profile, contact, purchase_one,addseed, season,dashboard, soil,about,query,view_cart, training,seed,purchase,add_to_cart,allcrops
from .views import payment
# from .views import LandingPageCart

urlpatterns = [
    path('', homeview, name='home'),
    path('contact/',contact, name='contact'),
    path('about/',about, name='about'),
    path('addseed/',addseed, name='addseed'),
    path('soil/',soil, name='soil'),
    path('seed/',seed, name='seed'),
    path('season/',season, name='season'),
    path('profile/',profile, name='profile'),
    path('edit_profile/<int:pk>/',edit_profile, name='edit_profile'),
    path('crop/',crop, name='crop'),
    path('allcrops/',allcrops, name='allcrops'),
    path('dashboard/',dashboard, name='dashboard'),
    path('searchcrop/',searchcrop, name='searchcrop'),
    path('purchase/',purchase, name='purchase'),
    path('purchase/seed/<int:seedpk>',purchase_one, name='purchase_one'),
    path('add_to_cart/seed/<int:seedpk>',add_to_cart, name='add_to_cart'),
    path('view_cart/',view_cart,name='view_cart'),
    path('fertilizer/',fertilizer, name='fertilizer'),
    path('training/',training, name='training'),
    path('query/',query, name='query'),
    path('pay/<int:pk>',LandingPage.as_view(),name='paynow'),
    # path('paycart/<int:amt>',LandingPageCart.as_view(),name='paycart'),
    path('success/', successview.as_view(), name='success'),
    path('cancel/', cancleview.as_view(), name='cancel'),
    path('checkout/<pk>/', CheckoutView.as_view(),name='checkout'),
    path('checkoutcart/', CheckoutViewCart.as_view(),name='checkoutcart')
]

website/urls.py
from django import contrib
from django.contrib import admin
from django.urls import path,include

from django.conf.urls.static import static
from django.conf  import settings
# from app.views import (
#     CreateCheckoutSession,
#     SuccessView,
#     CancelView
# )

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('app.urls')),
    path('user',include('userauth.urls')),
    
    path('accounts/',include('django.contrib.auth.urls')),
    
#     path('cancel/', CancelView.as_view(), name='cancel'),
#     path('success/', SuccessView.as_view(), name='success'),
#     path('create-checkout-session/<pk>/', CreateCheckoutSession.as_view(), name='create-checkout-session')
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

app/forms.py
from django import forms
from django.forms import ModelForm

from .models import Contact,Query,Purchase,Addseed,Profile



class ContactForm(ModelForm):
    
    class Meta:
        model = Contact
        fields = ("name","email","mobile","occupation","message")


class QueryForm(ModelForm):
    
    class Meta:
        model = Query
        fields = ("name","email","message")



class PurchaseForm(ModelForm):
    
    total_amt =forms.FloatField(required=False, disabled=False)
    qty = forms.IntegerField()
    class Meta:
        
        model = Purchase
        fields = ('address','city','country','pincode','qty', 'total_amt')



class AddseedForm(ModelForm):
    

    class Meta:
        
        model = Addseed
        fields = ('name','mobile','address','total_amt','price','product_detail','img')

class ProfileForm(ModelForm):
    
    class Meta:
        model = Profile
        fields = ('Full_Name','gender','email','mobile','address','occupation','img')
  

templates/users/about.html
{% extends 'layout/base.html' %}
{% load static %}


{% block css %}
<style>
    body {


        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }

    .alert-danger ul {
        list-style: none;
        padding-left: 0;
</style>

{% endblock css %}


{% block content %}
<div class="container" style="background-color:  rgb(103, 194, 194)">
    <div class="row">

        <div class="col mx-auto my-5 text-left text-white">
            <h1 style="text-align: center;"><u><b>AgroAcres</b></u></h1>
            <p class="para" my-3>

            <h2><img class="alignnone wp-image-1108049 size-full" title="Crops"
                    src="https://media.smilinggardener.com/files/images/articles/collection/all-about-soil/3-all-about-soil-worms.jpg"
                    alt="About us" width="1000" height="436"></h2>
            <h3><span class="italic"><strong>Agriculture is the backbone of the Indian Economy"- said Mahatma
                        Gandhi.</strong></span><br></h3>

            AgroAcres is a web based project which is useful for farmers and agricultural students.
            This is an open discussion portal providing solutions to small farmers and agricultural students.
            It also provides soil analysis for all regions and suggestions on which fertilizers to use
            where and how much? And which crop, herb or vegetable to be grown where and in which season?
            <br>

            Indian farmers are second to none in production and productivity despite of the
            fact that millions are marginal and small farmers. They adopt improved agriculture
            technology as efficiently as farmers in developed countries. It is felt that with
            provision of timely and adequate inputs such as fertilizers, seeds, pesticides and
            by making available affordable agricultural credit /crop insurance, Indian farmers
            are going to ensure food and nutritional security to the Nation.
            </p>

            <p class="para">
                Once in the Farmers’ Portal, a farmer will be able to get all relevant information
                on specific subjects around his village/block /district or state. Also they can sell and buy seed for
                their crops. Farmers will also be able to ask
                specific queries as well
                as give valuable feedback through the Feedback module specially developed for the
                purpose.
            </p>
        </div>
    </div>
</div>



{% endblock content %}

templates/users/add_to_cart.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block css %}
<style>
    body {


        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }

    .alert-danger ul {
        list-style: none;
        padding-left: 0;
</style>



{% endblock css %}



{% block content %}
<div class="container" style="background-color: rgb(57, 95, 91); " text-left">
    <div class="row">
        
        </div></div>
{% blockend content %}

templates/users/addseed.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block css %}
<style>
    body {


        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }

    .alert-danger ul {
        list-style: none;
        padding-left: 0;
</style>

{% endblock css %}


{% block content %}
<div class="container" >
    <div class="row my-5">
        <div class="col-lg-5 col-sm-6 mx-auto formarea">
            <div class="card text-white" style="background-color: rgb(32, 30, 30)">
                <div class="card-body">
                    <h4 class="card-title">Sell Seed</h4>
                    <form method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        {{form|crispy}}
                        <button  class="btn btn-info btn-sm btn-block">Submit</button>
                        <button  class="btn btn-danger btn-sm btn-block">Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock content %}

templates/users/contact.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block css %}
<style>
    body {


        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }

    .alert-danger ul {
        list-style: none;
        padding-left: 0;
    }
</style>

{% endblock css %}



{% block content %}
<div class="container">

    <div class="row my-5">
        <div class="col-lg-5 col-sm-5 formarea mx-auto">

            <div class="card text-white" style="background-color: rgb(32, 30, 30)">
                <div class="card-body">
                    <h4 class="card-title">Contact Us</h4>
                    <form method="post">
                        {% csrf_token %}
                        {{form|crispy}}
                        <button class="btn btn-primary btn-sm btn-block">Submit</button>
                    </form>
                </div>

            </div>
        </div>
    </div>
     </div>
        {% endblock content %}

templates/users/dashboard.html
{% extends 'layout/base.html' %}
{% load static %}


{% block css %}
<style>
    body {
        
        
        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }
    
    .alert-danger ul {
        list-style: none;
        padding-left: 0;
    }
    
    .form-control 
    
    
</style>

{% endblock css %}

{% block content %}
<div class="container my-5 text-center text-white" style="background-color: rgb(103, 194, 194) ">
    <div class="row">
        <main class="px-3">
            <h1><b>Welcome to AgroAcres {{user.username}}... </b> </h1>
            <p class="lead">AgroAcres is a free portal which provide information about the crop, soil , fertilizers and
                seasons to the farmers and agricultural students. 
            </p>
            <p>AgroAcres will prove itself to be a powerful tool for farmers and agricultural students to access the
                information and feeds with ease and also they can sell and buy seeds for their crops. 
            </p>
            
        </main>
    </div>
</div>
<div class="container ">
    <div class="card my-2">
        <div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
                <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
            </ol>
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img src="https://images.unsplash.com/photo-1516253593875-bd7ba052fbc5?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=750&q=80"
                    class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        
                        <p>“There are two spiritual dangers in not owning a farm. One is the danger of supposing that breakfast comes from the grocery, and the other that heat comes from the furnace.”</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img src="https://images.unsplash.com/photo-1543257580-7269da773bf5?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=750&q=80"
                    class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        
                        <p>“When tillage begins, other arts follow. The farmers, therefore, are the founders of human civilization.”</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img src="https://images.unsplash.com/photo-1509099342178-e323b1717dba?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=752&q=80"
                    class="d-block w-100" alt="...">
                    <div class="carousel-caption d-none d-md-block">
                        
                        <p>“It is only the farmer who faithfully plants seeds in the Spring, who reaps a harvest in the Autumn.”</p>
                    </div>
                    
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
        
        
        <div class="container my-2 text-center " ">
            <h3 my-4> Search for the Crop </h3>
            <form class=" form-inline my-2 my-lg-0 mx-auto d-block " action=" {% url 'searchcrop' %}">
               
                <input class="form-control mr-sm-0" type="search" placeholder="Search" aria-label="Search" name="s" />
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
        </div>
    </div>
</main>
</div>

{% for record in crop %}
<div class="col-3">
    <div class="card mb-4 box-shadow">
        <img class="card-img-top" style="height: 225px; width: 100%; display: block;">
        <div class="card-body">
            <h3 class="card-title">
                {{record.name}}
            </h3>
            <p class="card-text">
                {{record.instruction}}
            </p>
        </div>
    </div>
</div>
{% endfor %}
</div>
<div class="container my-2">
    <div class="card">
        <div class="row mb-2">
            <div class="col-md-6 my-2">
                <div
                class="row no-gutters border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
                <div class="col p-4 d-flex flex-column position-static">
                    <strong class="d-inline-block mb-2 text-primary">World</strong>
                    <h3 class="mb-0">Featured post</h3>
                    <div class="mb-1 text-muted">Nov 12</div>
                    <p class="card-text mb-auto">This is a wider card with supporting text below as a natural
                        lead-in to additional content.</p>
                        <a href="#" class="stretched-link">Continue reading</a>
                    </div>
                    <div class="col-auto d-none d-lg-block">
                        <svg class="bd-placeholder-img" width="200" height="250" xmlns="http://www.w3.org/2000/svg"
                        role="img" aria-label="Placeholder: Thumbnail" preserveAspectRatio="xMidYMid slice"
                        focusable="false">
                        <title>Placeholder</title>
                        <rect width="100%" height="100%" fill="#55595c"></rect><text x="50%" y="50%" fill="#eceeef"
                        dy=".3em">Thumbnail</text>
                    </svg>
                    
                </div>
            </div>
        </div>
        <div class="col-md-6 my-2">
            <div
            class="row no-gutters border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
            <div class="col p-4 d-flex flex-column position-static">
                <strong class="d-inline-block mb-2 text-success">Design</strong>
                <h3 class="mb-0">Post title</h3>
                <div class="mb-1 text-muted">Nov 11</div>
                <p class="mb-auto">This is a wider card with supporting text below as a natural lead-in to
                    additional content.</p>
                    <a href="#" class="stretched-link">Continue reading</a>
                </div>
                <div class="col-auto d-none d-lg-block">
                    <svg class="bd-placeholder-img" width="200" height="250" xmlns="http://www.w3.org/2000/svg"
                    role="img" aria-label="Placeholder: Thumbnail" preserveAspectRatio="xMidYMid slice"
                    focusable="false">
                    <title>Placeholder</title>
                    <rect width="100%" height="100%" fill="#55595c"></rect><text x="50%" y="50%" fill="#eceeef"
                    dy=".3em">Thumbnail</text>
                </svg>
                
            </div>
        </div>
    </div>
</div>
</div>
</div>

{% endblock %}

{% block js %}

{% endblock %}

templates/users/edit_profile.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}



{% block css %}
    <style>
        body{
      
        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
        }

        .alert-danger ul {
        list-style: none;
        padding-left: 0;
        
    </style>
    
{% endblock css %}



{% block content %}
<div class="container">
    <div class="row my-5">
        <div class="col-lg-5 col-sm-6 mx-auto formarea">
            <div class="card text-white" style="background-color: rgb(32, 30, 30)">
                <div class="card-body">
                    <h4 class="card-title">Create Profile</h4>
                    <form method="post" enctype="multipart/form-data">
                        {% csrf_token %}
                        {{form|crispy}}
                        <button  class="btn btn-info btn-sm btn-block">Create Profile</button>
                    </form>
                </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

templates/users/payment.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block css %}
<style>
     body {
        
        
        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }
    
    .alert-danger ul {
        list-style: none;
        padding-left: 0;

    }

    
</style>

{% endblock css %}



{% block content %}
<div class="container" style="background-color: rgb(103, 194, 194) " >
    {% csrf_token %}
    <div class="row my-5">
        <div class="col-lg-6 col-sm-6 mx-auto text-left text-white text-center">
            <h2>
                <span>
                    Hello 
                </span>
                {{product.user}}!
            </h2>
            <h3>
                <span>
                    Payable Amount: 
                </span>
                {{product.total_amt}}
            </h3>
            <strong>{{product.product_details|linebreaks}}</strong>
            <button type="button" class=" btn-danger btn-sm  " id="checkout-button">Checkout</button>
     </div>
    
    </div>
   
</div>

{% endblock content %}


{% block js %}
<script src="https://polyfill.io/v3/polyfill.min.js?version=3.52.1&features=fetch"></script>
<script src="https://js.stripe.com/v3/"></script>
<script>
    const csrftoken = document.querySelector('[name=csrfmiddlewaretoken]').value;
    // Create an instance of the Stripe object with your publishable API key
    var stripe = Stripe("{{ STRIPE_PUBLIC_KEY }}");
    var checkoutButton = document.getElementById("checkout-button");
    checkoutButton.addEventListener("click", function () {
      fetch("{% url 'checkout' product.id %}", {
        method: "POST",
        headers: {
          'X-CSRFToken': csrftoken
        }
      })
        .then(function (response) {
          //  console.log(response);
            return response.json();
        })
        .then(function (session) {
          return stripe.redirectToCheckout({ sessionId: session.id });
        })
        .then(function (result) {
          // If redirectToCheckout fails due to a browser or network
          // error, you should display the localized error message to your
          // customer using error.message.
          if (result.error) {
            alert(result.error.message);
          }
        })
        .catch(function (error) {
          //console.error("Error:", error);
          setTimeout(() => {
            alert(error);
          }, 1500);
        });
    });
 
</script>    
{% endblock js %}

templates/users/payment_alt.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block css %}
<style>
     body {
        
        
        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }
    
    .alert-danger ul {
        list-style: none;
        padding-left: 0;

    }

    .container{
      background-color: rgb(57, 95, 91); 
    }
</style>

{% endblock css %}



{% block content %}
<div class="container" >
    {% csrf_token %}
    <div class="row my-5">
        <div class="col-lg-6 col-sm-6 mx-auto text-left text-white">
            <h2>
                <span>
                    Hello: 
                </span>
                {{product.user}}
            </h2>
            <h3>
                <span>
                    Payable Amount: 
                </span>
                {{product.total_amt}}
            </h3>
            <strong>{{product.product_details|linebreaks}}</strong>
        </div>
    
    </div>
    <button type="button" id="checkout-button">Checkout</button>
</div>
</div>
{% endblock content %}


{% block js %}
<script src="https://polyfill.io/v3/polyfill.min.js?version=3.52.1&features=fetch"></script>
<script src="https://js.stripe.com/v3/"></script>
<script>
    const csrftoken = document.querySelector('[name=csrfmiddlewaretoken]').value;
    // Create an instance of the Stripe object with your publishable API key
    var stripe = Stripe("{{ STRIPE_PUBLIC_KEY }}");
    var checkoutButton = document.getElementById("checkout-button");
    checkoutButton.addEventListener("click", function () {
      fetch("{% url 'checkout' product.id %}", {
        method: "POST",
        headers: {
          'X-CSRFToken': csrftoken
        }
      })
        .then(function (response) {
          //  console.log(response);
            return response.json();
        })
        .then(function (session) {
          return stripe.redirectToCheckout({ sessionId: session.id });
        })
        .then(function (result) {
          // If redirectToCheckout fails due to a browser or network
          // error, you should display the localized error message to your
          // customer using error.message.
          if (result.error) {
            alert(result.error.message);
          }
        })
        .catch(function (error) {
          //console.error("Error:", error);
          setTimeout(() => {
            alert(error);
          }, 1500);
        });
    });
 
</script>    
{% endblock js %}

templates/users/profile.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}



{% block css %}
    <style>
        body{
      
        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
        }

        .alert-danger ul {
        list-style: none;
        padding-left: 0;
        
    </style>
    
{% endblock css %}



{% block content %}

<div class="container mt-3 my-3">

<div class="row gutters-sm">


{% if profile %}
    
{% for data in profile %}


    <div class="col-md-4 mb-4 my-5">
   
        <div class="card">
            
            <div class="card-body">
            
                <div class="d-flex flex-column align-items-center text-center"> <br>
                
                <h1 style="text-align: center;">User Profile</h1> <br>

                    <img src={{data.img.url}} alt="img" class="rounded-circle"
                        width="150">
                    <div class="mt-3">
                        <h4>{{user}}</h4>
                        <p class="text-secondary mb-1">AgroAcres</p>
                        <p class="text-secondary mb-1">{{data.mobile}}</p>
                        <p class="text-muted font-size-sm">{{data.email}}</p> <br>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div class="col-md-8 my-5">
        <div class="card mb-3">
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-3">
                        <h6 class="mb-0">Full Name</h6>
                    </div>
                    <div class="col-sm-9 text-secondary"> {{data.Full_Name}}</div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-3">
                        <h6 class="mb-0">Email</h6>
                    </div>
                    <div class="col-sm-9 text-secondary"> {{data.email}}</div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-3">
                        <h6 class="mb-0">Mobile</h6>
                    </div>
                    <div class="col-sm-9 text-secondary">{{data.mobile}}</div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-3">
                        <h6 class="mb-0">Occupation</h6>
                    </div>
                    <div class="col-sm-9 text-secondary"> {{data.occupation}}</div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-3">
                        <h6 class="mb-0">Last Modified Date</h6>
                    </div>
                    <div class="col-sm-9 text-secondary"> {{data.updated_on}}</div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-sm-3">
                        <h6 class="mb-0">Address</h6>
                    </div>
                    <div class="col-sm-9 text-secondary"> {{data.address}}</div>
                </div>
                <hr>
               
                    
                <div class="row">
                    <div class="col-sm-12"> <a class="btn btn-info " target="__blank" href="{% url 'edit_profile' data.pk %}">Edit Profile</a></div>
               
              
            </div>
        </div>

    </div>
</div>
{% empty %}
<h5>No data </h5>

{% endfor %}
</div>



{% else %}
<div class="container my-5">
<div class="card">
<div class="card-body">
<div class="col-sm-12"> 
    <h1>Please create your profile first... </h1>
    <a class="btn btn-info " target="__blank" href="{% url 'edit_profile' user.pk %}">Make Profile</a>
</div></div></div></div>


    
{% endif %}
    



{% endblock content %}




    

templates/users/puchase_one.html
{% extends 'layout/base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block css %}
<style>
    body {


        background-image: url("https://images.unsplash.com/flagged/photo-1601316587579-187125db32c8?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1050&q=80");
        background-repeat: no-repeat;
        background-size: cover;
    }

    .alert-danger ul {
        list-style: none;
        padding-left: 0;
    }
</style>

{% endblock css %}



{% block content %}
<div class="container">

    <div class="row my-5">
        <div class="col-lg-4 col-sm-6 mx-auto">
            <div class="card text-white " style="background-color: rgb(103, 194, 194) ">
                
                <div class="card-body">
                
                   
               
                <div class="card-body ">
                    
                    <h4 class="card-title my-3">{{ seed.name }}</h4>
                    <img class="img-thumbnail w-30 float-start" src="{{ seed.img.url }}" alt="{{ seed.name }}">
                    <p class="lead my-2"> Details :  {{seed.description}}<span id='detail'></span>  <span id="[product_detail"></span> {{seed.description}}</span> </p>
                    <p class="lead ">Price : Rs.  {{seed.price}} X <span id='cqty'>{{seed.qty}}</span> = <span id="total_price">{{seed.price}}</span> </p>
                </div> 
                </div>
            </div>
        </div>
        <div class="col-lg-6 col-sm-6 formarea mx-auto">

            <div class="card text-white">
                <div class="card-body" style="background-color: rgb(32, 30, 30);">

                    <div class="card-body">
                    <h4 class="card-title">Purchase</h4>
                    <form method="post">
                        {% csrf_token %}
                        
                        {{form|crispy}}
                        
                        <button class="btn btn-info btn-sm btn-block">Place Order</button>
                    </form>
                </div>

            </div>
        </div>
        
    </div>
     </div>
        {% endblock content %}

        
        {% block js %}
        <script>
            $(function () {
                $('#id_qty').on('input',function(e){
                    qty =  $('#id_qty').val();
                    price = {{seed.price}};
                    let total = qty * price
                    $('#total_price').text(total)
                    $('#id_total_amt').val(total)
                    $('#id_qty').text(qty)
                });
               $('.form-control').each(function(index,value){
                  
                    $(this).addClass('form-control-sm')
               });
               $('textarea').attr({'rows':5})
            });
        </script>    
        {% endblock js %}
        